#!/bin/sh
#
# Script to back out the installation of Seattle Firewall and to restore the previous version of 
# the program
#
#     This program is under GPL [http://www.gnu.org/copyleft/gpl.htm]         
#
#     (c) 2000 - Tom Eastep (teastep@evergo.net)
#
#       Seawall documentation is available at http://seawall.sourceforge.net
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of Version 2 of the GNU General Public License 
#       as published by the Free Software Foundation.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA
#
#    Usage:
#
#       You may only use this script to back out the installation of the version
#       shown below. Simply run this script to revert to your prior version of 
#       Seattle Firewall.

VERSION=3.1

usage() # $1 = exit status
{
    echo "usage: `basename $0`"
    exit $1
}

restore_file() # $1 = file to restore
{
    if [ -f ${1}-${VERSION}.bkout ]; then
	if (mv -f ${1}-${VERSION}.bkout $1); then
	    echo
	    echo "$1 restored"
        else
	    echo "ERROR: Could not restore $1"
	    exit 1
        fi
    fi	
}

if [ ! -f /etc/seawall/version-${VERSION}.bkout ]; then
    echo "Seattle Firewall Version $VERSION is not installed"
    exit 1
fi

echo "Backing Out Installation of Seattle Firewall $VERSION"

if [ -L /etc/seawall/firewall ]; then
    FIREWALL=`ls -l /etc/seawall/firewall | sed 's/^.*> //'`
    restore_file $FIREWALL
fi

restore_file /sbin/seawall

restore_file /etc/seawall.conf

[ -f /etc/seawall.conf.$VERSION ] && rm -f /etc/seawall.conf.$VERSION

restore_file /etc/seawall/apps

restore_file /etc/seawall/servers

restore_file /etc/seawall/tunnels

restore_file /etc/seawall/version

oldversion="`cat /etc/seawall/version`"

echo "Seattle Seawall Restored to Version $oldversion"


