%define name seawall
%define version 3.1
%define release 1
%define prefix /usr
%define dirname %{name}-%{version}

%define builddir $RPM_BUILD_DIR/%{dirname}-%{version}


Summary: Seattle Firewall is an ipchains-based firewall for Linux systems.
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Copyright: GPL
Packager: Tom Eastep <teastep@evergo.net>
Group: Networking/Utilities
Source: %{name}-%{version}.tar.gz
URL: http://seawall.sourceforge.net/
BuildArch: noarch
BuildRoot: /tmp/%{name}-%{version}-root
Requires: ipchains >= 1.3.9 
Requires: chkconfig >= 1.0.0
Provides: seawall

%description

Seattle Firewall is an ipchains-based firewall for Linux systems. The firewall
is designed to be used on:

a) Single systems attached to the internet via dial-in POP or ISDN.
b) Single systems attached full-time to the internet (ASDL, Cable, etc.)
c) Linux system used as a Masquerading gateway for one or more client and/or
server systems.

%changelog
* Mon May 20 2000 Tom Eastep <teastep@evergo.net>
- added updown file
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- Corrected the group - Networking/Utilities
- Added "noreplace" attributes to config files, so current confis is not
  changed.
- Added the version file.
* Sat May 20 2000 Tom Eastep <teastep@evergo.net>
- Converted Simon's patch to version 3.1
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- 3.0.2 Initial RPM
  Patched the install script so it can take a PREFIX variable

%prep

%setup 

%build

%install
PREFIX=$RPM_BUILD_ROOT ./install.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add firewall

%preun
/sbin/chkconfig --del firewall

%files 
/etc/rc.d/init.d/firewall
%attr(0700,root,root) %dir /etc/seawall
%attr(0700,root,root) /etc/seawall/version
%attr(0600,root,root) %config(noreplace) /etc/seawall/servers
%attr(0600,root,root) %config(noreplace) /etc/seawall/apps
%attr(0600,root,root) %config(noreplace) /etc/seawall/tunnels
%attr(0600,root,root) %config(noreplace) /etc/seawall.conf
%attr(0544,root,root) /sbin/seawall
/etc/seawall/firewall
%doc documentation
%doc COPYING README README.tunnels tunnel updown
